<?php
require_once(dirname(__FILE__)."/../include/config_base.php");
require_once(dirname(__FILE__)."/../include/inc_arcbook_view.php");

function ParamError(){
	ShowMsg("对不起，你没有输入任何搜索条件，不允许搜索！","javascript:;");
	exit();
}

$kws = Array();
if(!empty($id)) $kws['id'] = intval($id);
if(!empty($keyword)) $kws['keyword'] = html2text($keyword);
if(!empty($author)) $kws['author'] = html2text($author);

if(count($kws)==0) ParamError();

$bv = new BookView(0,'search',$kws);
$bv->Display();
$bv->Close();
?>